# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           paps
Version:        0.6.8
Release:        alt1_25

License:        LGPLv2+
URL:            http://paps.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        paps.convs
BuildRequires:  pango-devel automake autoconf libtool doxygen cups-devel
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832897&group_id=153049&atid=786241
Patch0:         paps-0.6.8-shared.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832924&group_id=153049&atid=786241
Patch1:         paps-0.6.8-wordwrap.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832926&group_id=153049&atid=786241
Patch2:         paps-langinfo.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832929&group_id=153049&atid=786241
Patch3:         paps-0.6.6-lcnumeric.patch
## https://sourceforge.net/tracker/index.php?func=detail&aid=1832935&group_id=153049&atid=786241
Patch4:         paps-exitcode.patch
## rhbz#854897
Patch5:         paps-854897-manpage.patch
## Fedora specific patch to integrate with CUPS
Patch50:        paps-cups.patch
Patch51:        paps-cpilpi.patch
## rhbz#424951
Patch52:        paps-dsc-compliant.patch
Patch53:        paps-autoconf262.patch
## rhbz#524883
Patch54:        paps-fix-cpi.patch
## rhbz#618483
Patch55:        paps-fix-loop-in-split.patch
## rhbz#857592
Patch56:        paps-fix-tab-width.patch
Patch57:        paps-fix-non-weak-symbol.patch
Patch58:        paps-correct-fsf-address.patch

Summary:        Plain Text to PostScript converter
Group:          Publishing
Requires:       %{name}-libs = %{version}-%{release}
Source44: import.info
%description
paps is a PostScript converter from plain text file using Pango.

%package libs
Summary:        Libraries for paps
Group:          Development/C
%description libs
paps is a PostScript converter from plain text file using Pango.

This package contains the library for paps.

%package devel
Summary:        Development files for paps
Group:          Development/C
Requires:       %{name}-libs = %{version}-%{release}
%description devel
paps is a PostScript converter from plain text file using Pango.

This package contains the development files that is necessary to develop
applications using paps API.

%prep
%setup -q
%patch0 -p1 -b .shared
%patch1 -p1 -b .wordwrap
%patch2 -p1 -b .langinfo
%patch3 -p1 -b .lcnumeric
%patch4 -p1 -b .exitcode
%patch5 -p1 -b .manpage
%patch50 -p1 -b .cups
%patch51 -p1 -b .cpilpi
%patch52 -p1 -b .dsc
%patch53 -p1 -b .autoconf262
%patch54 -p1 -b .fixcpi
%patch55 -p1 -b .loop
%patch56 -p1 -b .tab
%patch57 -p1 -b .weak-symbol
%patch58 -p1 -b .fsf
libtoolize -f -c
autoreconf -f -i


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p"

# remove unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/libpaps.la

# make a symlink for CUPS filter
install -d $RPM_BUILD_ROOT%{_cups_serverbin}/filter # Not libdir
ln -s %{_bindir}/paps $RPM_BUILD_ROOT%{_cups_serverbin}/filter/texttopaps

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cups
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cups


%files
%doc AUTHORS COPYING.LIB README TODO
%{_bindir}/paps
%{_mandir}/man1/paps.1*
%{_cups_serverbin}/filter/texttopaps
%dir %attr (0755, root, lp) %{_sysconfdir}/cups
%{_sysconfdir}/cups/paps.convs

%files libs
%doc COPYING.LIB
%{_libdir}/libpaps.so.*

%files devel
%doc COPYING.LIB
%{_includedir}/libpaps.h
%{_libdir}/libpaps.so

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.8-alt1_25
- initial fc import

